List environment versions
curl --request GET \
--url https://api.aireserve.com/v1/environments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/environments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "environment",
"key": "<string>",
"version": 4503599627370495,
"name": "<string>",
"description": "<string>",
"imageRef": "<string>",
"manifest": {
"architecture": "amd64",
"workingDirectory": "<string>",
"packages": [
"<string>"
],
"features": [
"<string>"
],
"environmentKeys": [
"<string>"
],
"agentHarnesses": [
{
"id": "<string>",
"argv": [
"<string>"
],
"models": [
"<string>"
],
"toolNames": [
"<string>"
],
"environmentKeys": [
"<string>"
],
"workingDirectory": "<string>"
}
],
"networkPolicy": {
"mode": "open",
"domains": [
"<string>"
]
},
"secretReferences": [
{
"environmentKey": "<string>",
"secretId": "<string>"
}
]
},
"manifestHash": "<string>",
"state": "draft",
"activatedAt": "2023-11-07T05:31:56Z",
"deprecatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}Environments
List environment versions
Lists immutable environment versions visible to the organization. Requires compute read access.
GET
/
v1
/
environments
List environment versions
curl --request GET \
--url https://api.aireserve.com/v1/environments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/environments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "environment",
"key": "<string>",
"version": 4503599627370495,
"name": "<string>",
"description": "<string>",
"imageRef": "<string>",
"manifest": {
"architecture": "amd64",
"workingDirectory": "<string>",
"packages": [
"<string>"
],
"features": [
"<string>"
],
"environmentKeys": [
"<string>"
],
"agentHarnesses": [
{
"id": "<string>",
"argv": [
"<string>"
],
"models": [
"<string>"
],
"toolNames": [
"<string>"
],
"environmentKeys": [
"<string>"
],
"workingDirectory": "<string>"
}
],
"networkPolicy": {
"mode": "open",
"domains": [
"<string>"
]
},
"secretReferences": [
{
"environmentKey": "<string>",
"secretId": "<string>"
}
]
},
"manifestHash": "<string>",
"state": "draft",
"activatedAt": "2023-11-07T05:31:56Z",
"deprecatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_request",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Query Parameters
Opaque cursor from the previous page's nextCursor.
Required string length:
1 - 2048Maximum resources to return. Defaults to 50.
Required range:
1 <= x <= 100